Installation problem on OSX 10.9 Yosemite

Added by Roberto González about 4 years ago

Hi, everybody.

I recently installed AMC following the instructions given in this website:

1. Installed XCode.
2. Installed XCode command line tools.
3. Installed MacPorts.
4. Run sudo port install auto-multiple-choice.

Apparently everything went fine, but when I tried to launch AMC I got the following warning messages:

Gtk-WARNING **: Locale not supported by C library.
    Using the fallback 'C' locale. at /opt/local/lib/perl5/vendor_perl/5.16.3/darwin-thread-multi-2level/Gtk2.pm line 168.
Gtk-WARNING **: cannot open display:  at /opt/local/lib/perl5/vendor_perl/5.16.3/darwin-thread-multi-2level/Gtk2.pm line 168.

I have not seen anything about the first message in the AMC forums. I don't know what's going on here (I understand it's related to some locale files, but I don't have any idea about how to fix the underlying issue). My operating system's locale should be Spanish.

Regarding the second message, I have found some references about it in the French forum:

  1. Erreur post installation avec OSX Maverick
  2. Help ! auto-multiple-choice génère une erreur...

If I'm right, it should be fixed by installing an X Server. The only X window system named in the above entries is XQuartz, but I'm afraid about installing it because of the following dialog in the first one:

port ne liste pas Xquartz comme dépendance d'AMC, pour des raisons de licence?

C'est parce que Xquartz ne fait pas partie de MacPorts.

Only in the case the following info were relevant, I run DISPLAY=:0 auto-multiple-choice and obtained this from the terminal:

Gtk-WARNING **: Locale not supported by C library.
    Using the fallback 'C' locale. at /opt/local/lib/perl5/vendor_perl/5.16.3/darwin-thread-multi-2level/Gtk2.pm line 168.
Gtk-WARNING **: cannot open display: :0 at /opt/local/lib/perl5/vendor_perl/5.16.3/darwin-thread-multi-2level/Gtk2.pm line 168.

Your guidance to help me to solve both issues will be very appreciated.

Thanks in advance.
Roberto.


Replies (1)

RE: Installation problem on OSX 10.9 Yosemite - Added by Joël Brogniart about 4 years ago

I think that you need to install Xquartz from http://xquartz.macosforge.org/landing/.

If you understand French, instructions are available in the French par of the Wiki at http://project.auto-multiple-choice.net/projects/auto-multiple-choice/wiki/Installation_d'AMC_sous_OS_X.

You also need to install the OTF version of the LinuxLibertine font from LinuxLibertine.org. The font should be installed system wide (in the /Library/Font folder) and not in the user's library font folder.

(1-1/1)